import { EntityRepository, Repository } from "typeorm";
import { UpdateFAQPageCmsDto } from "./dto/update-faq-page-cms.dto";
import { FAQPageCms } from "./entities/faq-page-cms.entity";

@EntityRepository(FAQPageCms)
export class FAQPageCmsRepository extends Repository<FAQPageCms> {

  async createEntity(dto: UpdateFAQPageCmsDto): Promise<FAQPageCms | Error> {
    try {
      const entity = this.create({
        pageTitle: dto.pageTitle,
        sectionTwoTitle: dto.sectionTwoTitle,
        sectionTwoSubTitle: dto.sectionTwoSubTitle
      });
      await this.save(entity);
      return entity;
    } catch (e) {
      return e;
    }
  }

  async updateEntity(dto: UpdateFAQPageCmsDto, id: string): Promise<FAQPageCms | Error> {
    try {
      await this.update(id, {
        pageTitle: dto.pageTitle,
        sectionTwoTitle: dto.sectionTwoTitle,
        sectionTwoSubTitle: dto.sectionTwoSubTitle
      });
      return await this.findOne(id);
    } catch (e) {
      return e;
    }
  }

  async findAll(): Promise<FAQPageCms[] | Error> {
    try {
      return await this.find({
        where: {
          isDeleted: false
        }
      });
    } catch (e) {
      return e;
    }
  }
}