import { EntityRepository, Repository } from "typeorm";
import { UpdatePageTitleCmsDto } from "./dto/update-page-title-cms.dto";
import { PageTitleCms } from "./entities/page-title-cms.entity";

@EntityRepository(PageTitleCms)
export class PageTitleCmsRepository extends Repository<PageTitleCms> {

  async createEntity(dto: UpdatePageTitleCmsDto): Promise<PageTitleCms | Error> {
    try {
      const entity = this.create({
        signinPageTitle: dto.signinPageTitle,
        signupPageTitle: dto.signupPageTitle,
        homePageTitle: dto.homePageTitle,
        shopPagetitle: dto.shopPagetitle,
        productDetailsPageTitle: dto.productDetailsPageTitle,
        wishlistPageTitle: dto.wishlistPageTitle,
        cartPageTitle: dto.cartPageTitle,
        checkoutPageTitle: dto.checkoutPageTitle,
        aboutUsPageTitle: dto.aboutUsPageTitle,
        categoriesPageTitle: dto.categoriesPageTitle,
        brandPageTitle: dto.brandPageTitle,
        specialsPageTitle: dto.specialsPageTitle,
        locationPageTitle: dto.locationPageTitle,
        contactUsPageTitle: dto.contactUsPageTitle,
        faqPageTitle: dto.faqPageTitle,
        careerPageTitle: dto.careerPageTitle,
        careerDepartmentPageTitle: dto.careerDepartmentPageTitle,
        careerDetailsPageTitle: dto.careerDetailsPageTitle,
        blogPageTitle: dto.blogPageTitle,
        blogDetailsPageTitle: dto.blogDetailsPageTitle,
        privacyPageTitle: dto.privacyPageTitle,
        termsPageTitle: dto.termsPageTitle,
        successPageTitle: dto.successPageTitle,
        profilePageTitle: dto.profilePageTitle,
        retailerPageTitle: dto.retailerPageTitle,
        forgotPasswordPageTitle: dto.forgotPasswordPageTitle,
        resetPasswordPageTitle: dto.resetPasswordPageTitle,
        invoicePageTitle: dto.invoicePageTitle,
        choosePlacePageTitle: dto.choosePlacePageTitle
      });
      await this.save(entity);
      return entity;
    } catch (e) {
      return e;
    }
  }

  async UpdateEntity(dto: UpdatePageTitleCmsDto, id: string): Promise<PageTitleCms | Error> {
    try {
      await this.update(id, {
        signinPageTitle: dto.signinPageTitle,
        signupPageTitle: dto.signupPageTitle,
        homePageTitle: dto.homePageTitle,
        shopPagetitle: dto.shopPagetitle,
        productDetailsPageTitle: dto.productDetailsPageTitle,
        wishlistPageTitle: dto.wishlistPageTitle,
        cartPageTitle: dto.cartPageTitle,
        checkoutPageTitle: dto.checkoutPageTitle,
        aboutUsPageTitle: dto.aboutUsPageTitle,
        categoriesPageTitle: dto.categoriesPageTitle,
        brandPageTitle: dto.brandPageTitle,
        specialsPageTitle: dto.specialsPageTitle,
        locationPageTitle: dto.locationPageTitle,
        contactUsPageTitle: dto.contactUsPageTitle,
        faqPageTitle: dto.faqPageTitle,
        careerPageTitle: dto.careerPageTitle,
        careerDepartmentPageTitle: dto.careerDepartmentPageTitle,
        careerDetailsPageTitle: dto.careerDetailsPageTitle,
        blogPageTitle: dto.blogPageTitle,
        blogDetailsPageTitle: dto.blogDetailsPageTitle,
        privacyPageTitle: dto.privacyPageTitle,
        termsPageTitle: dto.termsPageTitle,
        successPageTitle: dto.successPageTitle,
        profilePageTitle: dto.profilePageTitle,
        retailerPageTitle: dto.retailerPageTitle,
        forgotPasswordPageTitle: dto.forgotPasswordPageTitle,
        resetPasswordPageTitle: dto.resetPasswordPageTitle,
        invoicePageTitle: dto.invoicePageTitle,
        choosePlacePageTitle: dto.choosePlacePageTitle
      });
      return await this.findOne(id);
    } catch (e) {
      return e;
    }
  }

  async findAll(): Promise<PageTitleCms[] | Error> {
    try {
      return await this.find({
        where: {
          isDeleted: false
        }
      });
    } catch (e) {
      return e;
    }
  }
}