import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { LocationPageComponentUiService } from "./location-page-component-ui.service";
import { UpdateLocationPageComponentUiDto } from "./dto/update-location-page-component-ui.dto";

@Controller({ path: "location-page-component-ui", version: Constants.API_VERSION_1 })

export class LocationPageComponentUiController {
  constructor(private readonly service: LocationPageComponentUiService) {
  }

  @Post()
  @HttpCode(HttpStatus.OK)
  @UseGuards(AdminAuthGuard)
  updateOrCreateData(
    @Body() dto: UpdateLocationPageComponentUiDto
  ) {
    return this.service.updateOrCreateData(dto);
  }

  @Get()
  // @UseGuards(AdminAuthGuard)
  findAll() {
    return this.service.findAll();
  }
}
