import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { ProductEffectsController } from "./product-effects.controller";
import { ProductEffectsRepository } from "./product-effects.repository";
import { ProductEffectsService } from "./product-effects.service";

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([ProductEffectsRepository])
  ],
  controllers: [ProductEffectsController],
  providers: [ProductEffectsService, JwtHelper]
})
export class ProductEffectsModule {
}
