import { Injectable } from "@nestjs/common";
import { InjectRepository } from "@nestjs/typeorm";
import { fetchAllSpecials } from "src/helper/dutchie-plus-query";
import { getGraphQLClientWithApiKey } from "src/helper/graphql-client-helper";
import { RetailerServiceRepository } from "../custom/retailer-service/retailer-service.repository";

@Injectable()
export class SpecialsService {
  constructor(
    @InjectRepository(RetailerServiceRepository)
    private readonly retailerServiceRepo: RetailerServiceRepository
  ) {
  }

  async findAll(variables: any) {
    try {
      const retailerService = await this.retailerServiceRepo.findOne({
        where: {
          retailerId: variables.retailerId,
          isDeleted: false
        }
      });
      if (retailerService) {
        const graphQLClient = getGraphQLClientWithApiKey(retailerService.apiKeyName);
        const query = fetchAllSpecials();
        const data = await graphQLClient.request(query, variables);
        return data;
      } else {
        return [];
      }
    } catch (e) {
      return e;
    }
  }
}
