import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { FaqPageSectionTwoController } from "./faq-page-section-two.controller";
import { FaqPageSectionTwoRepository } from "./faq-page-section-two.repository";
import { FaqPageSectionTwoService } from "./faq-page-section-two.service";

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository]),
    TypeOrmModule.forFeature([FaqPageSectionTwoRepository])
  ],
  controllers: [FaqPageSectionTwoController],
  providers: [FaqPageSectionTwoService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class FaqPageSectionTwoModule {
}
