import { MailerService } from "@nestjs-modules/mailer";
import { Injectable } from "@nestjs/common";
import { InjectRepository } from "@nestjs/typeorm";
import { SendEmailRepository } from "./send-email-repository";

@Injectable()
export class SendEmailService {
  constructor(
    @InjectRepository(SendEmailRepository)
    private readonly repository: SendEmailRepository,
    private mailerService: MailerService
  ) {
  }

  async sendEmail(to: any, reason: any, params: any, from?: any) {
    try {
      const subject = "South Field Website Email";
      let template = "";
      if (reason === "email-confirmation") {
        template = "mail";
      }
      if (reason === "admin-email-confirmation") {
        template = "admin-notify";
      }
      const saveEmail = await this.repository.createEntity(
        to,
        reason,
        params,
        from
      );

      return await this.mailerService.sendMail({
        to: to,
        // from: '"Support Team" <support@example.com>', // override default from
        subject: subject,
        template: `./templates/${template}.hbs`, // `.hbs` extension is appended automatically
        context: params
      });
    } catch (e) {
      return e;
    }
  }
}
