import { Module } from "@nestjs/common";
import { UsersService } from "./users.service";
import { UsersController } from "./users.controller";
import { TypeOrmModule } from "@nestjs/typeorm";
import { UsersRepository } from "./user.repository";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { SendEmailService } from "../send-email/send-email.service";
import { SendEmailRepository } from "../send-email/send-email-repository";
import { FileUploadsService } from "../file-uploads/file-uploads.service";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository]),
    TypeOrmModule.forFeature([SendEmailRepository])
  ],
  providers: [
    UsersService,
    JwtHelper,
    SendEmailService,
    FileUploadsService,
    DoSpacesService,
    DoSpacesServicerovider
  ],
  controllers: [UsersController]
})
export class UsersModule {
}
